APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
The schedule creation process conforms to the One API guideline for resource based long running operations (RELO).
When clients use the PUT method, if the schedule is provisioned, the operation replaces the schedule; otherwise, the operation starts the schedule provisioning process in the background.
During schedule provisioning, clients can use the GET method to get the schedule and look at the provisionStatus property for the current state of the provisioning. If the provisioning failed, clients can get additional information from the provisionStatusCode property.
Clients can also inspect the configuration of the schedule.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permission type
Permissions (from least to most privileged)
Delegated (work or school account)
Schedule.ReadWrite.All, Group.ReadWrite.All
Delegated (personal Microsoft account)
Not supported.
Application
Schedule.ReadWrite.All
HTTP request
PUT /teams/{teamId}/schedule
Request headers
Header
Value
Authorization
Bearer {token}. Required.
Content-Type
application/json. Required.
Request body
In the request body, supply a JSON representation of a schedule object.
Response
If successful, this method returns a 200 OK response code and a schedule object in the response body.
PUT https://graph.microsoft.com/beta/teams/{teamId}/schedule
Content-type: application/json
{
"enabled": true,
"timeZone": "America/Chicago"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var schedule = new Schedule
{
Enabled = true,
TimeZone = "America/Chicago"
};
await graphClient.Teams["{team-id}"].Schedule
.Request()
.PutAsync(schedule);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := graphmodels.NewSchedulePostRequestBody()
additionalData := map[string]interface{}{
enabled := true
requestBody.SetEnabled(&enabled)
"timeZone" : "America/Chicago",
}
requestBody.SetAdditionalData(additionalData)
graphClient.TeamsById("team-id").Schedule().Put(requestBody)
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new SchedulePostRequestBody();
$additionalData = [
'enabled' => true,
'timeZone' => 'America/Chicago',
];
$requestBody->setAdditionalData($additionalData);
$graphServiceClient->teamsById('team-id')->schedule()->put($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
using var schedule = new System.IO.MemoryStream(Encoding.UTF8.GetBytes(@"{
""enabled"":true,
""timeZone"":""America/Chicago"",
""provisionStatus"":""Completed"",
""provisionStatusCode"":null,
""openShiftsEnabled"":true,
""swapShiftsRequestsEnabled"":true,
""offerShiftRequestsEnabled"":true,
""timeOffRequestsEnabled"":true,
""timeClockEnabled"":true,
""timeClockSettings"":{
""approvedLocation"":{
""altitude"":1024.13,
""latitude"":26.13246,
""longitude"":24.34616
}
}
}"));
await graphClient.Teams["{team-id}"].Schedule
.Request()
.PutAsync<Team>(schedule);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.
<?php
// THIS SNIPPET IS A PREVIEW FOR THE KIOTA BASED SDK. NON-PRODUCTION USE ONLY
$graphServiceClient = new GraphServiceClient($requestAdapter);
$requestBody = new SchedulePostRequestBody();
$additionalData = [
'enabled' => true,
'timeZone' => 'America/Chicago',
'provisionStatus' => 'Completed',
'provisionStatusCode' => null,
'openShiftsEnabled' => true,
'swapShiftsRequestsEnabled' => true,
'offerShiftRequestsEnabled' => true,
'timeOffRequestsEnabled' => true,
'timeClockEnabled' => true,
'timeClockSettings' => $requestBody = new TimeClockSettings();
$approvedLocation = new ApprovedLocation();
$approvedLocation->setAltitude(1024.13);
$approvedLocation->setLatitude(26.13246);
$approvedLocation->setLongitude(24.34616);
$requestBody->setApprovedLocation($approvedLocation);
$requestBody->setTimeClockSettings($timeClockSettings);
];
$requestBody->setAdditionalData($additionalData);
$graphServiceClient->teamsById('team-id')->schedule()->put($requestBody);
Important
Microsoft Graph SDKs use the v1.0 version of the API by default, and do not support all the types, properties, and APIs available in the beta version. For details about accessing the beta API with the SDK, see Use the Microsoft Graph SDKs with the beta API.